---
references:
- id: AuerLearning2008
  accessed:
    - year: 2016
      month: 6
      day: 17
  author:
    - family: Auer
      given: Peter
    - family: Burgsteiner
      given: Harald
    - family: Maass
      given: Wolfgang
  citation-key: AuerLearning2008
  container-title: Neural Networks
  DOI: 10.1016/j.neunet.2007.12.036
  issue: '5'
  issued:
    - year: 2008
  page: 786–795
  title: >-
    A learning rule for very simple universal approximators consisting of a
    single layer of perceptrons
  type: article-journal
  URL: http://www.igi.tugraz.at/maass/psfiles/126_web.pdf
  volume: '21'

- id: BaldiLearning2016
  author:
    - family: Baldi
      given: Pierre
    - family: Sadowski
      given: Peter
    - family: Lu
      given: Zhiqin
  citation-key: BaldiLearning2016
  container-title: arXiv:1612.02734 [cs]
  issued:
    - year: 2016
      month: 12
      day: 8
  title: 'Learning in the Machine: Random Backpropagation and the Learning Channel'
  type: article-journal
  URL: http://arxiv.org/abs/1612.02734

- id: CaoIterative2016
  author:
    - family: Cao
      given: Feilong
    - family: Wang
      given: Dianhui
    - family: Zhu
      given: Houying
    - family: Wang
      given: Yuguang
  citation-key: CaoIterative2016
  container-title: Information Sciences
  DOI: 10.1016/j.ins.2015.09.002
  ISSN: 0020-0255
  issued:
    - year: 2016
  page: 546–557
  title: >-
    An iterative learning algorithm for feedforward neural networks with random
    weights
  type: article-journal
  URL: >-
    https://www.researchgate.net/profile/Cao_Feilong/publication/283946247_An_iterative_learning_algorithm_for_feedforward_neural_networks_with_random_weights/links/56585d9c08ae1ef9297db10b.pdf
  volume: '328'

- id: CharlesDistributed2016
  author:
    - family: Charles
      given: Adam
    - family: Yin
      given: Dong
    - family: Rozell
      given: Christopher
  citation-key: CharlesDistributed2016
  container-title: arXiv:1605.08346 [cs, math, stat]
  issued:
    - year: 2016
      month: 5
      day: 26
  title: Distributed Sequence Memory of Multidimensional Inputs in Recurrent Networks
  type: article-journal
  URL: http://arxiv.org/abs/1605.08346

- id: CoverGeometrical1965
  author:
    - family: Cover
      given: T. M.
  citation-key: CoverGeometrical1965
  container-title: IEEE Transactions on Electronic Computers
  DOI: 10.1109/PGEC.1965.264137
  ISSN: 0367-7508
  issue: '3'
  issued:
    - year: 1965
      month: 6
  page: 326-334
  title: >-
    Geometrical and Statistical Properties of Systems of Linear Inequalities
    with Applications in Pattern Recognition
  type: article-journal
  volume: EC-14

- id: GauthierNext2021
  accessed:
    - year: 2021
      month: 10
      day: 11
  author:
    - family: Gauthier
      given: Daniel J.
    - family: Bollt
      given: Erik
    - family: Griffith
      given: Aaron
    - family: Barbosa
      given: Wendson A. S.
  citation-key: GauthierNext2021
  container-title: Nature Communications
  container-title-short: Nat Commun
  DOI: 10.1038/s41467-021-25801-2
  ISSN: 2041-1723
  issue: '1'
  issued:
    - year: 2021
      month: 9
      day: 21
  language: en
  number: '1'
  page: '5564'
  publisher: Nature Publishing Group
  title: Next generation reservoir computing
  type: article-journal
  volume: '12'

- id: GilpinModel2023
  accessed:
    - year: 2024
      month: 1
      day: 15
  author:
    - family: Gilpin
      given: William
  citation-key: GilpinModel2023
  container-title: Physical Review Research
  container-title-short: Phys. Rev. Res.
  DOI: 10.1103/PhysRevResearch.5.043252
  issue: '4'
  issued:
    - year: 2023
      month: 12
      day: 15
  page: '043252'
  publisher: American Physical Society
  title: >-
    Model scale versus domain knowledge in statistical forecasting of chaotic
    systems
  type: article-journal
  volume: '5'

- id: GiryesDeep2016
  author:
    - family: Giryes
      given: R.
    - family: Sapiro
      given: G.
    - family: Bronstein
      given: A. M.
  citation-key: GiryesDeep2016
  container-title: IEEE Transactions on Signal Processing
  DOI: 10.1109/TSP.2016.2546221
  ISSN: 1053-587X
  issue: '13'
  issued:
    - year: 2016
      month: 7
  page: 3444-3457
  title: >-
    Deep Neural Networks with Random Gaussian Weights: A Universal
    Classification Strategy?
  type: article-journal
  URL: http://arxiv.org/abs/1504.08291
  volume: '64'

- id: GlobersonLearning2016
  accessed:
    - year: 2016
      month: 6
      day: 29
  author:
    - family: Globerson
      given: Amir
    - family: Livni
      given: Roi
  citation-key: GlobersonLearning2016
  container-title: arXiv:1606.05316 [cs]
  issued:
    - year: 2016
      month: 6
      day: 16
  title: 'Learning Infinite-Layer Networks: Beyond the Kernel Trick'
  type: article-journal
  URL: http://arxiv.org/abs/1606.05316

- id: GoudarziComparative2014
  author:
    - family: Goudarzi
      given: Alireza
    - family: Banda
      given: Peter
    - family: Lakin
      given: Matthew R.
    - family: Teuscher
      given: Christof
    - family: Stefanovic
      given: Darko
  citation-key: GoudarziComparative2014
  container-title: arXiv:1401.2224 [cs]
  issued:
    - year: 2014
      month: 1
      day: 9
  title: A Comparative Study of Reservoir Computing for Temporal Signal Processing
  type: article-journal
  URL: http://arxiv.org/abs/1401.2224

- id: GoudarziReservoir2016
  author:
    - family: Goudarzi
      given: Alireza
    - family: Teuscher
      given: Christof
  citation-key: GoudarziReservoir2016
  collection-title: NANOCOM'16
  container-title: >-
    Proceedings of the 3rd ACM International Conference on Nanoscale Computing
    and Communication
  DOI: 10.1145/2967446.2967448
  event-place: New York, NY, USA
  ISBN: 978-1-4503-4061-8
  issued:
    - year: 2016
  page: 13:1–13:6
  publisher: ACM
  publisher-place: New York, NY, USA
  title: 'Reservoir Computing: Quo Vadis?'
  type: paper-conference
  URL: http://doi.acm.org/10.1145/2967446.2967448

- id: GrzybWhich2009
  author:
    - family: Grzyb
      given: B. J.
    - family: Chinellato
      given: E.
    - family: Wojcik
      given: G. M.
    - family: Kaminski
      given: W. A.
  citation-key: GrzybWhich2009
  container-title: 2009 International Joint Conference on Neural Networks
  DOI: 10.1109/IJCNN.2009.5178822
  event-title: 2009 International Joint Conference on Neural Networks
  issued:
    - year: 2009
      month: 6
  page: 1018-1024
  title: Which model to use for the Liquid State Machine?
  type: paper-conference

- id: HazanTopological2012
  accessed:
    - year: 2016
      month: 6
      day: 17
  author:
    - family: Hazan
      given: Hananel
    - family: Manevitz
      given: Larry M.
  citation-key: HazanTopological2012
  container-title: Expert Systems with Applications
  container-title-short: Expert Systems with Applications
  DOI: 10.1016/j.eswa.2011.06.052
  ISSN: 0957-4174
  issue: '2'
  issued:
    - year: 2012
      month: 2
      day: 1
  page: 1597-1606
  title: Topological constraints and robustness in liquid state machines
  type: article-journal
  URL: http://cs.haifa.ac.il/~manevitz/Publication/HazanManevitz.pdf
  volume: '39'

- id: HePowerful2016
  accessed:
    - year: 2016
      month: 7
      day: 6
  author:
    - family: He
      given: Kun
    - family: Wang
      given: Yan
    - family: Hopcroft
      given: John
  citation-key: HePowerful2016
  container-title: Advances in Neural Information Processing Systems
  event-title: NIPS
  issued:
    - year: 2016
      month: 6
      day: 15
  title: >-
    A Powerful Generative Model Using Random Weights for the Deep Image
    Representation
  type: paper-conference
  URL: http://arxiv.org/abs/1606.04801

- id: HuangExtreme2004
  author:
    - family: Huang
      given: Guang-Bin
    - family: Zhu
      given: Qin-Yu
    - family: Siew
      given: Chee-Kheong
  citation-key: HuangExtreme2004
  container-title: >-
    2004 IEEE International Joint Conference on Neural Networks, 2004.
    Proceedings
  DOI: 10.1109/IJCNN.2004.1380068
  event-title: >-
    2004 IEEE International Joint Conference on Neural Networks, 2004.
    Proceedings
  issued:
    - year: 2004
      month: 7
  page: 985-990 vol.2
  title: >-
    Extreme learning machine: a new learning scheme of feedforward neural
    networks
  type: paper-conference
  URL: http://www3.ntu.edu.sg/home/EGBHuang/pdf/ELM_IJCNN2004.PDF
  volume: '2'

- id: HuangExtreme2005
  accessed:
    - year: 2015
      month: 1
      day: 13
  author:
    - family: Huang
      given: Guang-Bin
    - family: Siew
      given: Chee-Kheong
  citation-key: HuangExtreme2005
  container-title: International Journal of Information Technology
  issue: '1'
  issued:
    - year: 2005
  page: 16–24
  title: Extreme learning machine with randomly assigned RBF kernels
  type: article-journal
  URL: http://pop.intjit.org/journal/volume/11/1/111_2.pdf
  volume: '11'

- id: HuangExtreme2006
  accessed:
    - year: 2015
      month: 1
      day: 13
  author:
    - family: Huang
      given: Guang-Bin
    - family: Zhu
      given: Qin-Yu
    - family: Siew
      given: Chee-Kheong
  citation-key: HuangExtreme2006
  collection-title: >-
    Neural Networks Selected Papers from the 7th Brazilian Symposium on Neural
    Networks (SBRN '04) 7th Brazilian Symposium on Neural Networks
  container-title: Neurocomputing
  container-title-short: Neurocomputing
  DOI: 10.1016/j.neucom.2005.12.126
  ISSN: 0925-2312
  issue: 1–3
  issued:
    - year: 2006
      month: 12
  page: 489-501
  title: 'Extreme learning machine: Theory and applications'
  type: article-journal
  URL: http://www.ntu.edu.sg/home/egbhuang/pdf/ELM-NC-2006.pdf
  volume: '70'

- id: LiInsights2017
  author:
    - family: Li
      given: Ming
    - family: Wang
      given: Dianhui
  citation-key: LiInsights2017
  container-title: Information Sciences
  container-title-short: Information Sciences
  DOI: 10.1016/j.ins.2016.12.007
  ISSN: 0020-0255
  issued:
    - year: 2017
      month: 3
  page: 170-178
  title: >-
    Insights into randomized algorithms for neural networks: Practical issues
    and common pitfalls
  type: article-journal
  URL: >-
    https://www.researchgate.net/profile/Dianhui_Wang/publication/311467172_Insights_into_Randomized_Algorithms_for_Neural_Networks_Practical_Issues_and_Common_Pitfalls/links/584fae8808ae4bc8993b3038.pdf
  volume: 382–383

- id: LukoseviciusReservoir2009
  accessed:
    - year: 2016
      month: 6
      day: 17
  author:
    - family: Lukoševičius
      given: Mantas
    - family: Jaeger
      given: Herbert
  citation-key: LukoseviciusReservoir2009
  container-title: Computer Science Review
  container-title-short: Computer Science Review
  DOI: 10.1016/j.cosrev.2009.03.005
  ISSN: 1574-0137
  issue: '3'
  issued:
    - year: 2009
      month: 8
  page: 127-149
  title: Reservoir computing approaches to recurrent neural network training
  type: article-journal
  URL: >-
    http://neuro.bstu.by/ai/To-dom/My_research/Papers-2.0/Echo-state-nn/2261_LukoseviciusJaeger09.pdf
  volume: '3'

- id: MaassComputational2004
  accessed:
    - year: 2016
      month: 6
      day: 17
  author:
    - family: Maass
      given: W.
    - family: Natschläger
      given: T.
    - family: Markram
      given: H.
  citation-key: MaassComputational2004
  container-title: 'Computational Neuroscience: A Comprehensive Approach'
  issued:
    - year: 2004
  page: 575-605
  publisher: Chapman & Hall/CRC
  title: Computational Models for Generic Cortical Microcircuits
  type: chapter
  URL: http://www.igi.tu-graz.ac.at/maass/psfiles/149-v05.pdf

- id: MartinssonRandomized2016
  accessed:
    - year: 2016
      month: 8
      day: 4
  author:
    - family: Martinsson
      given: Per-Gunnar
  citation-key: MartinssonRandomized2016
  container-title: arXiv:1607.01649 [math]
  issued:
    - year: 2016
      month: 7
      day: 6
  title: >-
    Randomized methods for matrix computations and analysis of high dimensional
    data
  type: article-journal
  URL: http://arxiv.org/abs/1607.01649

- id: OyallonScaling2017
  accessed:
    - year: 2017
      month: 4
      day: 3
  author:
    - family: Oyallon
      given: Edouard
    - family: Belilovsky
      given: Eugene
    - family: Zagoruyko
      given: Sergey
  citation-key: OyallonScaling2017
  container-title: arXiv preprint arXiv:1703.08961
  issued:
    - year: 2017
  title: 'Scaling the Scattering Transform: Deep Hybrid Networks'
  type: article-journal
  URL: https://arxiv.org/abs/1703.08961

- id: PathakModelFree2018
  accessed:
    - year: 2018
      month: 5
      day: 16
  author:
    - family: Pathak
      given: Jaideep
    - family: Hunt
      given: Brian
    - family: Girvan
      given: Michelle
    - family: Lu
      given: Zhixin
    - family: Ott
      given: Edward
  citation-key: PathakModelFree2018
  container-title: Physical Review Letters
  container-title-short: Phys. Rev. Lett.
  DOI: 10.1103/PhysRevLett.120.024102
  issue: '2'
  issued:
    - year: 2018
      month: 1
      day: 12
  page: '024102'
  title: >-
    Model-Free Prediction of Large Spatiotemporally Chaotic Systems from Data: A
    Reservoir Computing Approach
  type: article-journal
  volume: '120'

- id: PathakUsing2017
  accessed:
    - year: 2018
      month: 5
      day: 16
  author:
    - family: Pathak
      given: Jaideep
    - family: Lu
      given: Zhixin
    - family: Hunt
      given: Brian R.
    - family: Girvan
      given: Michelle
    - family: Ott
      given: Edward
  citation-key: PathakUsing2017
  container-title: 'Chaos: An Interdisciplinary Journal of Nonlinear Science'
  DOI: 10.1063/1.5010300
  ISSN: 1054-1500, 1089-7682
  issue: '12'
  issued:
    - year: 2017
      month: 12
  page: '121102'
  title: >-
    Using Machine Learning to Replicate Chaotic Attractors and Calculate
    Lyapunov Exponents from Data
  type: article-journal
  URL: http://arxiv.org/abs/1710.07313
  volume: '27'

- id: PerezDeep2016
  author:
    - family: Perez
      given: Carlos E.
  citation-key: PerezDeep2016
  container-title: Medium
  issued:
    - year: 2016
      month: 11
      day: 6
  title: 'Deep Learning: The Unreasonable Effectiveness of Randomness'
  type: post-weblog
  URL: >-
    https://medium.com/intuitionmachine/deep-learning-the-unreasonable-effectiveness-of-randomness-14d5aef13f87#.g5sjhxjrn

- id: RahimiWeighted2009
  accessed:
    - year: 2015
      month: 5
      day: 19
  author:
    - family: Rahimi
      given: Ali
    - family: Recht
      given: Benjamin
  citation-key: RahimiWeighted2009
  container-title: Advances in neural information processing systems
  issued:
    - year: 2009
  page: 1313–1320
  publisher: Curran Associates, Inc.
  title: >-
    Weighted Sums of Random Kitchen Sinks: Replacing minimization with
    randomization in learning
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/3495-weighted-sums-of-random-kitchen-sinks-replacing-minimization-with-randomization-in-learning

- id: ScardapaneRandomness2017
  author:
    - family: Scardapane
      given: Simone
    - family: Wang
      given: Dianhui
  citation-key: ScardapaneRandomness2017
  container-title: 'Wiley Interdisciplinary Reviews: Data Mining and Knowledge Discovery'
  DOI: 10.1002/widm.1200
  ISSN: 1942-4795
  issue: '2'
  issued:
    - year: 2017
      month: 3
      day: 1
  language: en
  title: 'Randomness in neural networks: an overview'
  type: article-journal
  URL: >-
    https://www.researchgate.net/publication/312057617_Randomness_in_Neural_Networks_An_Overview
  volume: '7'

- id: SompolinskyChaos1988
  accessed:
    - year: 2024
      month: 1
      day: 24
  author:
    - family: Sompolinsky
      given: H.
    - family: Crisanti
      given: A.
    - family: Sommers
      given: H. J.
  citation-key: SompolinskyChaos1988
  container-title: Physical Review Letters
  container-title-short: Phys. Rev. Lett.
  DOI: 10.1103/PhysRevLett.61.259
  issue: '3'
  issued:
    - year: 1988
      month: 7
      day: 18
  page: 259-262
  publisher: American Physical Society
  title: Chaos in Random Neural Networks
  type: article-journal
  URL: https://link.aps.org/doi/10.1103/PhysRevLett.61.259
  volume: '61'

- id: SteilBackpropagationdecorrelation2004
  author:
    - family: Steil
      given: J. J.
  citation-key: SteilBackpropagationdecorrelation2004
  container-title: >-
    2004 IEEE International Joint Conference on Neural Networks, 2004.
    Proceedings
  DOI: 10.1109/IJCNN.2004.1380039
  event-title: >-
    2004 IEEE International Joint Conference on Neural Networks, 2004.
    Proceedings
  issued:
    - year: 2004
      month: 7
  page: 843-848 vol.2
  title: >-
    Backpropagation-decorrelation: online recurrent learning with O(N)
    complexity
  type: paper-conference
  URL: http://corwww.techfak.uni-bielefeld.de/system/files/Steil_BPDC_IJCNN2004.pdf
  volume: '2'

- id: TaylorModeling2006
  accessed:
    - year: 2016
      month: 6
      day: 17
  author:
    - family: Taylor
      given: Graham W.
    - family: Hinton
      given: Geoffrey E.
    - family: Roweis
      given: Sam T.
  citation-key: TaylorModeling2006
  container-title: Advances in neural information processing systems
  issued:
    - year: 2006
  page: 1345–1352
  title: Modeling human motion using binary latent variables
  type: paper-conference
  URL: http://machinelearning.wustl.edu/mlpapers/paper_files/NIPS2006_693.pdf

- id: TongLearning2007
  author:
    - family: Tong
      given: Matthew H.
    - family: Bickett
      given: Adam D.
    - family: Christiansen
      given: Eric M.
    - family: Cottrell
      given: Garrison W.
  citation-key: TongLearning2007
  container-title: Neural Networks
  DOI: 10.1016/j.neunet.2007.04.013
  ISSN: 0893-6080
  issue: '3'
  issued:
    - year: 2007
  page: 424–432
  title: Learning grammatical structure with Echo State Networks
  type: article-journal
  URL: >-
    https://www.researchgate.net/profile/Garrison_Cottrell/publication/6281003_Learning_grammatical_structure_with_Echo_State_Networks/links/09e4150649e6c3e4d7000000.pdf
  volume: '20'

- id: TriefenbachAcoustic2013
  author:
    - family: Triefenbach
      given: F.
    - family: Jalalvand
      given: A.
    - family: Demuynck
      given: K.
    - family: Martens
      given: J. P.
  citation-key: TriefenbachAcoustic2013
  container-title: IEEE Transactions on Audio, Speech, and Language Processing
  DOI: 10.1109/TASL.2013.2280209
  ISSN: 1558-7916
  issue: '11'
  issued:
    - year: 2013
      month: 11
  page: 2439-2450
  title: Acoustic Modeling With Hierarchical Reservoirs
  type: article-journal
  volume: '21'

- id: ZhangSurvey2016
  author:
    - family: Zhang
      given: Le
    - family: Suganthan
      given: P. N.
  citation-key: ZhangSurvey2016
  container-title: Information Sciences
  container-title-short: Information Sciences
  DOI: 10.1016/j.ins.2016.01.039
  ISSN: 0020-0255
  issue: C
  issued:
    - year: 2016
      month: 10
      day: 10
  page: 146-155
  title: A survey of randomized algorithms for training neural networks
  type: article-journal
  URL: >-
    http://web.mysites.ntu.edu.sg/epnsugan/PublicSite/Shared%20Documents/PDFs/Survey_of_Randomized_Algorithms_for_Training_Neural_Networks.pdf
  volume: 364–365
...
